<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
?>

<div class="mod_ext_currency_rates <?php echo $moduleclass_sfx ?>">
	<div class="ext_currency_rates">
		<div class="currency_info">
			<div class="currency_info_rate"><?php echo JText::_(MOD_EXT_CURRENCY_RATES_INFO);?></div>
			<div class="currency_info_date"><?php echo JText::_(MOD_EXT_CURRENCY_RATES_INFO_FROM);?><?php echo $date; ?></div>
		</div>		
		<?php
		if ($ext_error == '') {		
			$valutes = array();		
			foreach ($xml->Valute as $Valute) {		
				if (in_array($Valute->CharCode, $arrayCharCode)) {
					if($Valute->Nominal > 1) {
						$nominal = "{$Valute->Nominal} ";
					} else {
							$nominal='';
						}
					echo '<div class="currency_data">';
					echo '	<div class="currency_data_rate">'.$nominal.$Valute->Name.'</div>';
					echo '	<div class="currency_data_val">'.$Valute->Value.$rub.'</div>';
					echo '</div>';
				}			
			}			
		} else {
			echo '<p style="color:red;">'.$ext_error.'</p>';
		}
		?>	
    </div>
	<div style="clear:both;"></div>
</div>