<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$document 			= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_currency_rates/assets/css/default.css');
$moduleclass_sfx	= $params->get('moduleclass_sfx');
$rub				= JText::_(MOD_EXT_CURRENCY_RATES_RUB);


$names			= array('AUD', 'AZN', 'GBP', 'AMD', 'BYR', 'BGN', 'BRL', 'HUF', 'DKK', 'USD',
						'EUR',	'INR', 'KZT', 'CAD', 'KGS', 'CNY', 'LVL', 'LTL', 'MDL', 'NOK',
						'PLN', 'RON', 'XDR', 'SGD', 'TJS', 'TRY', 'TMT', 'UZS', 'UAH', 'CZK',
						'SEK', 'CHF', 'ZAR', 'KRW', 'JPY');
$max			= count($names);
$arrayCharCode	= array();
foreach($names as $name) {
    for($i = 0; $i <= $max; ++$i) {
        ${$name} = $params->get($name, 0);
		$CharCode = "CharCode_{$name}";  
		${$CharCode} = (${$name}>0) ? "$name" : "";
		$arrayCharCode[] = ${$CharCode};
	}
}
//var_dump ($arrayCharCode);

$ext_error 			= '';
$nominal 			= '';
$date				= date("d.m.Y");
//$yesterday_date	= date('d.m.Y', strtotime('yesterday'));


// parser
$path="http://cbr.ru/scripts/XML_daily.asp?date_req=$date";
//$path="http://cbr.ru/scripts/XML_daily.asp";
$file_headers = @get_headers($path);
if(strpos($file_headers[0],'200 OK')>0){
	$xml = simplexml_load_file($path);
	//var_dump($xml);
} else {
	//exit('Failed to open '.$path);
	$ext_error = 'Failed to open '.$path;
	}


require JModuleHelper::getLayoutPath('mod_ext_currency_rates', $params->get('layout', 'default'));
?>